Receiving Error: Need TicketID! when trying to create a new ticket

Moderator: crythias

Post Reply
SaumyaS
OTRS newbie
Posts: 4
Joined: 21 Jun 2018, 12:42
OTRS Version?: 3.1.8
Real Name: Saumya Srivastava
Company: Cybertech Systems and Software ltd.

Receiving Error: Need TicketID! when trying to create a new ticket

Post by SaumyaS » 24 Jul 2018, 15:00

Hi all,

We have installed OTRS 3.2.3 over a system running Windows 7. We use this instance of OTRS to track our IT issues.

A few days back, the article table crashed and our DBA was unable to repair it. He then suggested we retore the previous day's backup instead. The backup was restored successfully, and no tables were marked as crashed in the new restored database.

But now we are facing issues with ticket creation on the portal. Whenever a user tries to raise a new ticket on the portal , they recieve the following error :
Error: Need TicketID!
Comment:

Traceback:

ERROR: OTRS-CGI-10 Perl: 5.12.3 OS: MSWin32 Time: Tue Jul 24 18:22:29 2018

Message: Need TicketID!

RemoteAddress: 172.30.5.104
RequestURI: /otrs/customer.pl

Traceback (1800):
Module: Kernel::System::Ticket::Article::ArticleCreate (v1.328) Line: 130
Module: Kernel::Modules::CustomerTicketMessage::Run (v1.116) Line: 461
Module: Kernel::System::Web::InterfaceCustomer::Run (v1.72) Line: 993
Module: ModPerl::ROOT::ModPerl::Registry::C_3a_Program_20Files_20_28x86_29_OTRS_OTRS_bin_cgi_2dbin_customer_2epl::handler (unknown version) Line: 46
Module: (eval) (v1.48) Line: 204
Module: ModPerl::RegistryCooker::run (v1.48) Line: 204
Module: ModPerl::RegistryCooker::default_handler (v1.48) Line: 170
Module: ModPerl::Registry::handler (v1.99) Line: 31
I have searched the forum for answers to similar issues, but none seem to be working for me. Anybody has any ideas/suggestions as to why this is happening, or any tests I can run, do share.

P.S. I know that we are using really outdated version, but Management decisions. Can't help it. :)

Thanks,
Saumya

jojo
Moderator
Posts: 14343
Joined: 26 Jan 2007, 14:50
OTRS Version?: Git Master
Contact:

Re: Receiving Error: Need TicketID! when trying to create a new ticket

Post by jojo » 24 Jul 2018, 15:04

Using a hackable and unsecure version which is not maintained for several years is backed by management? Do they know about the risk (which might set the whole company at risk..)

You should check if the cache was deleted and if there are any entries in the logfile. Please also check diskspace
"Production": OTRS™ 6, STORM powered by OTRS
"Testing": ((OTRS Community Edition)) git Master

Never change Defaults.pm! :: Blog
Professional Services:: http://www.otrs.com :: enjoy@otrs.com :: Share your ideas

SaumyaS
OTRS newbie
Posts: 4
Joined: 21 Jun 2018, 12:42
OTRS Version?: 3.1.8
Real Name: Saumya Srivastava
Company: Cybertech Systems and Software ltd.

Re: Receiving Error: Need TicketID! when trying to create a new ticket

Post by SaumyaS » 26 Jul 2018, 09:45

Hi Jojo,

You are totally right, but it seems that right now the management doesn't seems to be very keen on migration to Linux and an upgradation, even though I have made them aware of the risks involved.
You should check if the cache was deleted and if there are any entries in the logfile.
The cache was not deleted and the disk space wasn't full either. Then I tried deleting the cache, and rebuilding the config. And that seemed to do the trick.

Many Thanks !!!

Post Reply